using Microsoft.EntityFrameworkCore;
using PARR.Domain.Constants;
using PARR.Domain.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.Domain.Entities.Unit
{
    [Table("FieldInFieldValues", Schema = DatabaseSchemas.Unit)]
    [Comment("Значения полей ЭК")]
    [PrimaryKey(nameof(FieldId), nameof(FieldValueId))]
    public class UnitFieldInUnitFieldValue : IBaseEntityDateCreated
    {
        public Guid FieldId { get; set; }

        public Guid FieldValueId { get; set; }

        public DateTimeOffset DateCreated { get; set; }



        [ForeignKey(nameof(FieldId))]
        public UnitField? Field { get; set; }


        [ForeignKey(nameof(FieldValueId))]
        public UnitFieldValue? FieldValue { get; set; }
    }
}
